[SOLVED] OpenGLContext::copyTexture issue


#1

I have used OpenGLContext::copyTexture to draw texture in the background.
It does work in OpenGL 4.5, but not 3.0 and below without any assertion.
if use OpenGLContext like OpenGL 2D demo, it does work in both.
What is minimum OpenGL version of copyTexture?

What is the best way to draw texture?


#2

Hi

I do not know on which platform and which profile your OpenGL context is running.
I do neither know your assert, you should probably be more specific.
But as I try to explain here:
https://forum.juce.com/t/promote-juce-opengl3-and-opengl3-2-core-context-to-windows/?source_topic_id=20514
Since OpenGL 3, glEnable (GL_TEXTURE_2D) is deprecated, maybe this can helps.

Regards,


#3

It is resolved!. It is because of my fault.